import { FrameworkDetector, ScanContext, RouteBinding, HookBinding } from '../../types.js';

declare class DrupalDetector implements FrameworkDetector {
    readonly name = "drupal";
    readonly language = "php";
    readonly filePattern: RegExp;
    detect(projectRoot: string, files: string[]): Promise<boolean>;
    extractRoutes(filePath: string, content: string, ctx: ScanContext): Promise<RouteBinding[]>;
    private createRouteBinding;
    extractHooks(filePath: string, content: string, ctx: ScanContext): Promise<HookBinding[]>;
}

export { DrupalDetector };
